<!DOCTYPE html>
<html>
	<head>
		<title>Choix appareil</title>
		<link 	href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" 
		      	rel="stylesheet"											     
			integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" 
		      	crossorigin="anonymous">
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" 
			integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" 
			crossorigin="anonymous">
		</script>

		<style>
		.form-check-error{
			border-color:red;
		}
		table{ 
			border-collapse: collapse; 
			border: 2px solid rgb(200,200,200); 
			letter-spacing: 1px; 
			front-size: 0.8rem; 
		}	
		td,th{
			border: 1px solid rgb(190,190,190);
			padding: 10px 20px;
		}
		td{
			text-align: center;
		}
		caption{
			padding: 10px;
		}
		</style>
	</head>
	<body>
		<!-- Retour page d'accueil -->
		<form method="post" action="index.html">
			<input type="submit" value="Retour" class="btn btn-secondary"/>
		</form>
		<br/>
		<!-- Lancement nouvelle recherche -->
		<form method="post" action="decouvre.php">
			<input type="button" id="recherche" value="Rechercher à nouveau" class="btn btn-success" onclick="Loading(); this.form.submit();"/>
		</form>
		<br/>
		<div class="spinner-border text-primary" id="load" role="status" style="display:none"></div>
		<div id="text-load" style="display:none">Veuillez patienter pendant la recherche d'appareil...<br/>Cette operation peut prendre quelques secondes</div>
		<br/>
		<?php
			/* Lancement de la recherche des appareils avec lxi discover */
			$txt = shell_exec('lxi discover');
			if(strpos($txt,"Found")==false){
				echo "Aucun appareil trouvé" ;
			}else{
				$i=0; /* Variable d'iteration */
				$nb=0; /* Nombre d'appareils découverts */
				$txt = nl2br($txt); /* Ajout sauts à la ligne dans le texte recu */

				while(strpos($txt,"Found")!=false){
					$phrase = "";
					$adresse = "";


					for($i=strpos($txt,"Found"),$j=0;$txt[$i]!='<';$i++,$j++){ /* Pour toutes les phrases contenant 'Found' */
						$phrase[$j]=$txt[$i]; /* Traitement des phrases contenant 'Found' une par une */
					}

					preg_match('/"([^"]+)"/',$phrase,$tableau); /* Nom de l'appareil entre guillemets donc en prends ce que l'on trouve entre les guillemets */
					$mots = explode(" ",$phrase);

					/* Si la phrase contient plus de 5 mots, alors on prends le dernier mot comme adresse IP
					 * car les phrases sont sous la forme 'Found "NAME" on address IP' 
					 * et comme ça on ne prend pas la derniere phrase qui indique le nombre d'appareils trouvés */
					if(count($mots)>=5){
						$nom = $tableau[1];
						/* Verification du type de l'appareil */
						$type = "";
						include('Scripts/type_appareil.php'); /* Recherche du type de l'appareil */
						if($type!=""){
							$Types[$nb] = $type;
							$Devices[$nb] = $nom;
							$Adresses[$nb] = $mots[count($mots)-1];
							$nb++;
						}
					}
					$txt = substr($txt,-(strlen($txt)-$i)); /* On enlève la phrase que l'on vient d'utiliser au texte de base pour afficher les autres appareils */
					unset($phrase);
				}	
				/* Affichage sous forme de tableau */
				echo "<form method='post' id='formulaire' action='main.php'>";
				echo "<table class='table table-striped'>";
				echo "<thead>";
				echo "<tr>";
				echo "<th>Choix</th>";
				echo "<th>Nom de l'appareil</th>";
				echo "<th>Type d'appareil</th>";
				echo "<th>Adresse IP</th>";
				echo "</tr>";
				echo "</thead>";
				echo "<tbody>";
				for($i=0;$i<=$nb-1;$i++){ /* On affiche tous les appareils trouvés */
					$infos = $Devices[$i].'$'.$Types[$i].'$'.$Adresses[$i]; /* Pour envoyer les données vers la page main, les informations sont séparées par des '$' */
					/* Les informations sont stockées dans un tableau, ce qui est simple a recuperer */
					echo "<td><input type='checkbox' name='App[]' class='form-check-input' value='$infos'></td>"; 
					echo "<td>".$Devices[$i]."</td>";
					echo "<td>".$Types[$i]."</td>";
					echo "<td>".$Adresses[$i]."</td>";
					echo "</tr>";
				}
				echo "</tbody>";
				echo "</table>";
				/* Bouton d'envoi */
				echo "<input type='button' id='bouton' value=\"Veuillez selectionner un appareil\" class='btn btn-danger' disabled onclick='this.form.submit();'>";
				echo "</form>";
			}
		?>
		<script type="text/javascript">
			var chk_El = document.getElementsByName("App[]");
			var btn = document.getElementById("bouton");
			for(var j=0;j<chk_El.length;j++){
				chk_El[j].addEventListener('change',e=>{
					count_chkBox();
				});
			}
			/* Lors du changement sur une case, on modifie ce que le bouton affiche selon le nombre de cases cochées */
			function count_chkBox(){
				var nb_check = 0;
				for(var i=0;i<chk_El.length;i++){
					if(chk_El[i].checked){
						nb_check++;
					}	
				}
				if(nb_check==0){
					btn.disabled=true; /* Bouton désactivé si aucune case n'est cochée */
					btn.value="Veuillez selectionner un appareil";
					btn.className="btn btn-danger"
				}else if(nb_check==1){
					btn.disabled=false;
					btn.value="Utiliser l'appareil";
					btn.className="btn btn-primary"
				}else{
					btn.disabled=false;
					btn.value="Utiliser les appareils";
					btn.className="btn btn-primary"
				}
			}
			/* Affichage du chargement */
			function Loading(){
				var spin = document.getElementById("load");
				spin.style= "";
				var recherche = document.getElementById("recherche");
				recherche.value = "Recherche en cours...";
				var txt = document.getElementById("text-load");
				txt.style= "";
			}
		</script>
	</body>
</html>
